<?xml version="1.0" encoding="UTF-8"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8,00"
	Name="libpipi"
	ProjectGUID="{48A34C3A-1E36-49B7-92C4-E982FDCB90C0}"
	RootNamespace="libpipi"
	Keyword="Win32Proj"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)/win32/$(ConfigurationName)/bin"
			IntermediateDirectory="$(OutDir)/$(ProjectName)"
			ConfigurationType="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\win32;.;.."
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_USRDLL;LIBPIPI_EXPORTS;__LIBPIPI__"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="gdiplus.lib"
				OutputFile="$(OutDir)\$(ProjectName)-0.dll"
				LinkIncremental="2"
				GenerateDebugInformation="true"
				SubSystem="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)/win32/$(ConfigurationName)/bin"
			IntermediateDirectory="$(OutDir)/$(ProjectName)"
			ConfigurationType="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalIncludeDirectories="..\win32;.;.."
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;LIBPIPI_EXPORTS;__LIBPIPI__"
				RuntimeLibrary="2"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="gdiplus.lib"
				OutputFile="$(OutDir)\$(ProjectName)-0.dll"
				LinkIncremental="2"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath="..\win32\config.h"
				>
			</File>
			<File
				RelativePath=".\pipi.h"
				>
			</File>
			<File
				RelativePath=".\pipi_internals.h"
				>
			</File>
			<File
				RelativePath=".\pipi_stubs.h"
				>
			</File>
			<File
				RelativePath=".\pipi_template.h"
				>
			</File>
			<File
				RelativePath="..\win32\pipi_types.h"
				>
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
		</Filter>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath=".\accessors.c"
				>
			</File>
			<File
				RelativePath=".\codec.c"
				>
			</File>
			<File
				RelativePath=".\colorstring.c"
				>
			</File>
			<File
				RelativePath=".\context.c"
				>
			</File>
			<File
				RelativePath=".\dither.c"
				>
			</File>
			<File
				RelativePath=".\measure.c"
				>
			</File>
			<File
				RelativePath=".\pipi.c"
				>
			</File>
			<File
				RelativePath=".\pixels.c"
				>
			</File>
			<File
				RelativePath=".\quantize\reduce.c"
				>
			</File>
			<File
				RelativePath=".\resize.c"
				>
			</File>
			<File
				RelativePath=".\stock.c"
				>
			</File>
			<Filter
				Name="codec"
				>
				<File
					RelativePath=".\codec\gdi.c"
					>
				</File>
				<File
					RelativePath=".\codec\gdiplus.cpp"
					>
				</File>
				<File
					RelativePath=".\codec\oric.c"
					>
				</File>
			</Filter>
			<Filter
				Name="combine"
				>
				<File
					RelativePath=".\combine\mean.c"
					>
				</File>
				<File
					RelativePath=".\combine\minmax.c"
					>
				</File>
				<File
					RelativePath=".\combine\mulscreen.c"
					>
				</File>
				<File
					RelativePath=".\combine\rgb.c"
					>
				</File>
				<File
					RelativePath=".\combine\subadd.c"
					>
				</File>
			</Filter>
			<Filter
				Name="dither"
				>
				<File
					RelativePath=".\dither\dbs.c"
					>
				</File>
				<File
					RelativePath=".\dither\ediff.c"
					>
				</File>
				<File
					RelativePath=".\dither\ordered.c"
					>
				</File>
				<File
					RelativePath=".\dither\ostromoukhov.c"
					>
				</File>
				<File
					RelativePath=".\dither\random.c"
					>
				</File>
			</Filter>
			<Filter
				Name="filter"
				>
				<File
					RelativePath=".\filter\autocontrast.c"
					>
				</File>
				<File
					RelativePath=".\filter\blur.c"
					>
				</File>
				<File
					RelativePath=".\filter\color.c"
					>
				</File>
				<File
					RelativePath=".\filter\convolution.c"
					>
				</File>
				<File
					RelativePath=".\filter\dilate.c"
					>
				</File>
				<File
					RelativePath=".\filter\median.c"
					>
				</File>
				<File
					RelativePath=".\filter\transform.c"
					>
				</File>
			</Filter>
			<Filter
				Name="histogram"
				>
				<File
					RelativePath=".\histogram\histogram.c"
					>
				</File>
			</Filter>
			<Filter
				Name="paint"
				>
				<File
					RelativePath=".\paint\bezier.c"
					>
				</File>
				<File
					RelativePath=".\paint\floodfill.c"
					>
				</File>
				<File
					RelativePath=".\paint\line.c"
					>
				</File>
				<File
					RelativePath=".\paint\tile.c"
					>
				</File>
			</Filter>
			<Filter
				Name="render"
				>
				<File
					RelativePath=".\render\noise.c"
					>
				</File>
				<File
					RelativePath=".\render\screen.c"
					>
				</File>
			</Filter>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
